(function($, ajaxObj) {
    $(function() {
        window.onmessage = function(e) {
            if (e.data && e.data.params) {
                $.post(ajaxObj.ajaxurl, {
                    action: ajaxObj.action,
                    nonce: ajaxObj.nonce,
                    params: e.data.params
                });
            }
        };
		
		if (localStorage['elfsight-support--hidden'] !== 'true') {
			$('.elfsight-support').removeClass('elfsight-support--hidden');
		}
		
		$('.elfsight-support-close').on('click', function() {
			$('.elfsight-support').hide();
		})
		$('.elfsight-support-nevershow').on('click', function() {
			$('.elfsight-support').hide();
			
			localStorage.setItem('elfsight-support--hidden', true);
		})
    });
})(window.jQuery || {}, elfsightPortalAjaxObj || {});